#!/bin/sh

LOOPBACK_FILE="loopback_disk.ext2"
if ! test -f scripts/locks/loopback_setup
then
  touch scripts/locks/loopback_setup

	# Rebuild loopback file from scratch
	rm -f $LOOPBACK_FILE
	dd if=/dev/zero of=loopback_disk.ext2 bs=1k count=2000
	/sbin/mke2fs -F loopback_disk.ext2
	/sbin/tune2fs -c 0 -i 0 loopback_disk.ext2

  # Get configuration parameters
  VSX_MOUNT_DEV=`grep VSX_MOUNT_DEV= TESTROOT/tetexec.cfg | cut -f2 -d=`
  echo $VSX_MOUNT_DEV
  # Check to see if loopback device is being used
  echo $VSX_MOUNT_DEV | grep /dev/loop > /dev/null
  if [ $? -eq 0 ]; then
    # Need to do loopback setup
    echo Setting up loopback device
    echo "Enter the root password:"
    su root -c "PATH=$PATH:/sbin losetup -d $VSX_MOUNT_DEV > /dev/null 2>&1; PATH=$PATH:/sbin losetup $VSX_MOUNT_DEV loopback_disk.ext2"
  fi

	# Setup disk for ENOSPC tests
	echo Mount loopback device
	su root -c "mount $VSX_MOUNT_DEV /mnt"
	echo Partially filling disk 
	su root -c "cd /mnt && ~vsx0/scripts/common/filldisc.sh"
	echo Unmount loopback device
	su root -c "umount /mnt"

fi
